Package org.silverpeas.mobile.client.components.base

## Class PageHeader

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.components.base.PageHeader

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`

      public class PageHeader
      extends com.google.gwt.user.client.ui.Composite

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ActionsMenu` | `actionsMenu` |
    `protected ActionsList` | `actionsShortcuts` |
    `protected com.google.gwt.user.client.ui.Anchor` | `back` |
    `protected com.google.gwt.user.client.ui.HTMLPanel` | `header` |
    `protected com.google.gwt.user.client.ui.HTML` | `menu` |
    `protected ApplicationMessages` | `msg` |
    `protected ApplicationResources` | `ressources` |
    `protected com.google.gwt.dom.client.HeadingElement` | `title` |

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageHeader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addActionMenu​(ActionItem action)` |
    `void` | `addActionShortcut​(ActionItem action)` |
    `void` | `clearActions()` |
    `void` | `closeMenuButton()` |
    `void` | `closeMenuQVF()` |
    `int` | `getHeight()` |
    `void` | `hideOfflineIndicator()` |
    `void` | `removeActionMenu​(ActionItem action)` |
    `void` | `removeActionShortcut​(ActionItem action)` |
    `void` | `setPageTitle​(String title)` |
    `void` | `setVisibleBackButton​(boolean visible)` |
    `void` | `showOfflineIndicator()` |
    `void` | `toogleMenuButton()` |

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### header

          @UiField
          protected com.google.gwt.user.client.ui.HTMLPanel header

    - #### back

          @UiField
          protected com.google.gwt.user.client.ui.Anchor back

    - #### title

          @UiField
          protected com.google.gwt.dom.client.HeadingElement title

    - #### menu

          @UiField
          protected com.google.gwt.user.client.ui.HTML menu

    - #### actionsShortcuts

          @UiField
          protected ActionsList actionsShortcuts

    - #### actionsMenu

          @UiField
          protected ActionsMenu actionsMenu

    - #### msg

          @UiField(provided=true)
          protected ApplicationMessages msg

    - #### ressources

          protected ApplicationResources ressources

  - ### Constructor Detail

    - #### PageHeader

          public PageHeader()

  - ### Method Detail

    - #### closeMenuQVF

          public void closeMenuQVF()

    - #### addActionShortcut

          public void addActionShortcut​(ActionItem action)

    - #### removeActionShortcut

          public void removeActionShortcut​(ActionItem action)

    - #### addActionMenu

          public void addActionMenu​(ActionItem action)

    - #### removeActionMenu

          public void removeActionMenu​(ActionItem action)

    - #### clearActions

          public void clearActions()

    - #### toogleMenuButton

          public void toogleMenuButton()

    - #### closeMenuButton

          public void closeMenuButton()

    - #### showOfflineIndicator

          public void showOfflineIndicator()

    - #### hideOfflineIndicator

          public void hideOfflineIndicator()

    - #### setVisibleBackButton

          public void setVisibleBackButton​(boolean visible)

    - #### setPageTitle

          public void setPageTitle​(String title)

    - #### getHeight

          public int getHeight()